Agora RTC Objective-C API Reference Refactor

Data Fields
LocalVideoTrackStats Struct Reference

## Data Fields
uint64_t | number_of_streams
uint64_t | bytes_major_stream
uint64_t | bytes_minor_stream
uint32_t | frames_encoded
uint32_t | ssrc_major_stream
uint32_t | ssrc_minor_stream
int | capture_frame_rate
int | regulated_capture_frame_rate
int | input_frame_rate
int | encode_frame_rate
int | render_frame_rate
int | target_media_bitrate_bps
int | media_bitrate_bps
int | total_bitrate_bps
int | capture_width
int | capture_height
int | regulated_capture_width
int | regulated_capture_height
int | width
int | height
uint32_t | uplink_cost_time_ms
QUALITY_ADAPT_INDICATION | quality_adapt_indication
unsigned short | txPacketLossRate
CAPTURE_BRIGHTNESS_LEVEL_TYPE | capture_brightness_level

## Detailed Description

The statistics of the local video track.

## Constructor & Destructor Documentation

## ◆ LocalVideoTrackStats()

LocalVideoTrackStats | ( |  | ) |
| inline

## Field Documentation

## ◆ number_of_streams

uint64_t number_of_streams

The number of streams.

## ◆ bytes_major_stream

uint64_t bytes_major_stream

The number of bytes of the major stream.

## ◆ bytes_minor_stream

uint64_t bytes_minor_stream

The number of bytes of the minor stream.

## ◆ frames_encoded

uint32_t frames_encoded

The number of encoded frames.

## ◆ ssrc_major_stream

uint32_t ssrc_major_stream

The SSRC (synchronization source) of the major stream.

## ◆ ssrc_minor_stream

uint32_t ssrc_minor_stream

The SSRC (synchronization source) of the minor stream.

## ◆ capture_frame_rate

int capture_frame_rate

The capture frame rate of the video.

## ◆ regulated_capture_frame_rate

int regulated_capture_frame_rate

The regulated frame rate of capture frame rate according to video encoder configuration.

## ◆ input_frame_rate

int input_frame_rate

The input frame rate of the encoder.

## ◆ encode_frame_rate

int encode_frame_rate

The output frame rate of the encoder.

## ◆ render_frame_rate

int render_frame_rate

The rendering frame rate.

## ◆ target_media_bitrate_bps

int target_media_bitrate_bps

The target bitrate (bps).

## ◆ media_bitrate_bps

int media_bitrate_bps

The frame rate excluding FEC.

## ◆ total_bitrate_bps

int total_bitrate_bps

The total frame rate including FEC.

## ◆ capture_width

int capture_width

The capture frame width (pixel).

## ◆ capture_height

int capture_height

The capture frame height (pixel).

## ◆ regulated_capture_width

int regulated_capture_width

The regulated frame width (pixel) of capture frame width according to video encoder configuration.

## ◆ regulated_capture_height

int regulated_capture_height

The regulated frame height (pixel) of capture frame height according to video encoder configuration.

## ◆ width

int width

The frame width (pixel).

## ◆ height

int height

The frame height (pixel).

## ◆ encoder_type

uint32_t encoder_type

## ◆ hw_encoder_accelerating

uint32_t hw_encoder_accelerating

## ◆ encoder_frame_depth

uint32_t encoder_frame_depth

## ◆ encoder_vender_id

uint32_t encoder_vender_id

## ◆ uplink_cost_time_ms

uint32_t uplink_cost_time_ms

The average time diff between frame captured and framed encoded.

## ◆ quality_adapt_indication

QUALITY_ADAPT_INDICATION quality_adapt_indication

Quality change of the local video in terms of target frame rate and target bit rate in this reported interval. See QUALITY_ADAPT_INDICATION.

## ◆ txPacketLossRate

unsigned short txPacketLossRate

The video packet loss rate (%) from the local client to the Agora edge server before applying the anti-packet loss strategies.

## ◆ capture_brightness_level

CAPTURE_BRIGHTNESS_LEVEL_TYPE capture_brightness_level

The brightness level of the video image captured by the local camera. See CAPTURE_BRIGHTNESS_LEVEL_TYPE.

## ◆ simulcast_stream_profile

SimulcastStreamProfile simulcast_stream_profile[STREAM_LAYER_COUNT_MAX]